body, html
{
    background-color: white;
    height: 100%;
    margin: 0 auto;
    padding: 0;
    font-family:Arial,Helvetica,sans-serif;
    color: rgb(51, 51, 51);
}

body
{
	margin-top: 0;
}

/***********
 * Buttons *
 ***********/

.custom-button
{
    background-color: #3498db  !important;
    border-color:  #1f618d !important; 
    color: #eaf2f8 !important;
    border-width: 1px;
    border-style: solid;
    border-radius: 3px;
    height: 36.8px;
    line-height: 24px;
    padding: 6.4px 11px 6.4px 11px;
    font-family:Arial,Helvetica,sans-serif;
    font-size: 17px;
    font-weight: normal;
}

.custom-button:hover
{
    background-color: #2980b9 !important;
}

/**********
 * Layout *
 **********/

#left
{
	position: relative;
	background-color: rgb(235,235,235);
	width: 230px;
	height: calc(100% - 20px);
	border-right: 1px solid rgb(200,200,200);
	padding: 10px;
	text-align: center;
	float: left;
}

#header
{
	background-color: rgb(235,235,235);
	width: 100%;
	height: 80px;
	text-align: center;
	line-height: 80px;
	font-family: Courier,serif;
	font-size: 60px;
	font-style: italic;
	font-weight: bold;
}

#strapline
{
	text-align: center;
	font-weight: bold;
	margin-bottom: 25px;
}

label[for=lang-cy]
{
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
    margin-right: 0px;
    z-index: 0;
}

label[for=lang-en]
{
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
    margin-left: -1px !important;
    z-index: 1;
}

.language-select.ui-checkboxradio-label.ui-checkboxradio-checked
{
    background-color: #3498db  !important;
    border-color:  #1f618d !important; 
    color: #eaf2f8 !important;
}

.language-select.ui-checkboxradio-label:active
{
    background-color: #2980b9 !important;
}

label[for=lang-cy].ui-state-active
{
    z-index: 2;
}

.language-select.ui-visual-focus
{
    box-shadow: 0px 0px 0px 0px !important;
}

#menu-div
{
	background-color: #3498db  !important;
    border-color:  #1f618d !important; 
    color: #eaf2f8 !important;
	border-width: 1px; 
	border-style: solid;
	border-radius: 3px;
	max-width: 200px;
	margin: 25px auto 0 auto;
}

#menu
{
	display: block;
	padding: 4px 0px;
}

#menu li
{
	width: 192px;
	list-style-type: none;
	font-size: 17px;
}

#menu li a
{
	display: block;
	width: 192px !important;
	padding: 4px;
	color: #eaf2f8 !important;
	text-decoration: none
}

#menu li a:hover
{
	background-color: #2980b9 !important;
	text-decoration: none
}

#footer
{
	width: calc(100% - 20px);
	position: absolute;
	bottom: 10px;
}

#corcencc-logo
{
	width: 100%;
	padding-top: 10px;
}

#main
{
	background-color: white;
	width: calc(100% - 251px);
	height: 100%;
	float: left;
	overflow: scroll;
}

#page-header
{
	background-color: rgb(62,60,61);
	background-image: url("../images/cytag_banner_complete.jpg");
	background-size: 1369px 109.5px;
	background-position: right;
	background-repeat: no-repeat;
	width: calc(100% - 40px);
	height: 89.5px;
	padding: 10px 20px 10px 20px;
	line-height: 89.5px;
	color: white;
	font-size: 20px;
	border-bottom: 1px solid black;
}

#content
{
	width: calc(100% - 40px);
	padding: 20px;
}

#tag-form
{
	width: 80%;
	text-align: center;
	margin: 0 auto;
}

#inputTextArea
{
	width: calc(100% - 10px);
	height: 88px;
	padding: 5px;
	margin: 0px;
}

#tag-button
{
	margin: 10px 0px 10px 0px;
}

#output-table
{
	width: calc(80% + 4px);
	margin: 0 auto;
	border-collapse: collapse;
}

#output-table th, td
{
	padding: 2px 4px 2px 4px;
	border: 1px solid rgb(200,200,200);
}

#output-table-headings th
{
	background-color: rgb(235,235,235);
}

.tagging-dialog .ui-dialog-content
{
    margin: 0 auto !important;
    text-align: center !important;
    width: 80px !important;
    height: 80px !important;
    overflow: hidden;
}

.tagging-dialog .ui-dialog-title
{
    display: inline-block !important;
    width: 100% !important;
    text-align: center !important;
}

.tagging-dialog .ui-dialog-titlebar-close
{
    display: none;
}

.loader
{
    /*margin: auto 0;*/
    margin-left: 4px;
    margin-top: 4px;
    border: 10px solid white;
    border-top: 10px solid #3498db;
    border-bottom: 10px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
}

@keyframes spin
{
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}
}